# site-logos
A collection of logos for porn studios and networks. WIP!

## Conventions
The target format for logos is a PNG file with a resolution of 1000px or the highest available, ideally trimmed to its contents. SVGs should be considered additional assets.

* All words in a site or network name must be split up using a dash (`-`), even if the site or network itself connects the words
* Modifiers are suffixed using an underscore (`_`)
* Common compound words such as 'gangbang', 'gloryhole' or 'hardcore' are not necessarily split up

### Definitions
* `/network-name.png`: Primary logo for a network that does not have any sites, or a site that does belong to a network, and does not have any favicons or additional assets
* `/network-name/network-name.png`: Primary logo for network, original or edited
* `/network-name/site-name.png`: Primary logo for site, original or edited
* `/network-name/favicon.png`: Primary network favicon

* `/network-name/network-name_modifier.png`: Production ready variant of the network logo
* `/network-name/site-name_modifier.png`: Production ready variant of a site logo
* `/network-name/site-name_modifierA_modifierB.png`: Production ready variant of a site logo, with two different modifications

* `/network-name/README.md`: Notes about logos and other assets for this network and its sites
* `/network-name/misc/`: Additional assets, such as alternative versions, original vector images, and reference files that are not production-ready

### Modifiers
* `_original`: Original unedited logo, used when the primary logo was edited. Suggested to be placed in `/network-name/misc/`
* `_dark`: Darkened to improve visibility on a light background
* `_light`: Lightened to improve visibility on a dark background
* `_basic`: Backgrounds or other arbitrary details were removed
* `_nourl`: Domain components such as `.com` are removed
* `_noslogan`: Slogans are removed

### Examples:
`/ddf-network/ddf-network.png`: Original primary network logo for DDF Network
`/ddf-network/ddf-network_dark.png`: Darkened network logo for DDF Network, for light backgrounds
`/jules-jordan/misc/the-ass-factory_original.png`: A copy of the original full-sized site logo for The Ass Factory on Jules Jordan, as the primary logo is cropped for readability

## Sites and Networks structure

* **21Sextury**
    * Anal Teen Angels
    * Asshole Fever
    * Butt Plays
    * Club Sandy
    * DP Fanatics
    * Deepthroat Frenzy
    * Footsie Babes
    * Gapeland
    * Lez Cuties
    * Pix and Video
* **AdultTime**
    * GirlCore
* **DDF Network**
    * 1By-Day
    * DDF Busty
    * ~~DDF Network VR~~
    * ~~Euro Girls on Girls~~
    * ~~Euro Teen Erotica~~
    * ~~Hands on Hardcore~~
    * ~~Hot Legs and Feet~~
    * ~~House of Taboo~~
    * ~~Only Blowjob~~
* **Jules Jordan**
    * Jules Jordan
    * Manuel Ferrara
    * Sperm Swallowers
    * The Ass Factory
